Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.proxy
Class Proxy

    java.lang.Object
      org.jboss.aop.proxy.Proxy

All Implemented Interfaces:
  InstanceAdvised, MethodMapped, Serializable

public abstract class Proxy
extends Object
implements InstanceAdvised, Serializable, MethodMapped

Version:
  $Revision: 1.4 $
Author:
  Bill Burke
See Also:
  Serialized Form

Field Summary
`org.jboss.util.id.GUID` | `guid`
`InstanceAdvisor` | `instanceAdvisor`
`Class[]` | `interfaces`
`ProxyMixin[]` | `mixins`

Constructor Summary
`Proxy()`

Method Summary
`InvocationResponse` | `_dynamicInvoke(Invocation invocation)`
`InstanceAdvisor` | `_getInstanceAdvisor()`
`void` | `_setInstanceAdvisor(InstanceAdvisor newAdvisor)`
`abstract Map` | `getMethodMap()`
`Object` | `writeReplace()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instanceAdvisor

    public InstanceAdvisor instanceAdvisor

### mixins

    public ProxyMixin[] mixins

### interfaces

    public Class[] interfaces

### guid

    public org.jboss.util.id.GUID guid

Constructor Detail

### Proxy

    public Proxy()

Method Detail

### _getInstanceAdvisor

    public InstanceAdvisor _getInstanceAdvisor()

  Specified by:
    `_getInstanceAdvisor` in interface `InstanceAdvised`

### _setInstanceAdvisor

    public void _setInstanceAdvisor(InstanceAdvisor newAdvisor)

  Specified by:
    `_setInstanceAdvisor` in interface `InstanceAdvised`

### _dynamicInvoke

    public InvocationResponse _dynamicInvoke(Invocation invocation)
                                      throws Throwable

  Throws:
    `Throwable`

### writeReplace

    public Object writeReplace()
                        throws ObjectStreamException

  Throws:
    `ObjectStreamException`

### getMethodMap

    public abstract Map getMethodMap()

  Specified by:
    `getMethodMap` in interface `MethodMapped`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.